Get ESG data
/instruments/esg-dataReturns ESG scores and environmental, social and governance metrics for each ISIN, with their units. Needs access to the ESG framework. Up to 10,000 holdings per request. Entries without an isin are skipped. An empty holdings list, or one where no entry has an isin, fails with 400 and the message Please provide at least one instrument.
Authorization
apiKey Your Connect Earth API key.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://eco.datia.app/instruments/esg-data" \ -H "x-api-key: $CE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "holdings": [ { "isin": "US0378331005" }, { "isin": "IE00B4L5Y983" } ] }'{ "data": [ { "sustainability_data": { "total_score": { "value": 212, "unit": "out of 300" }, "environment_score": { "value": 71, "unit": "out of 100" }, "carbon_footprint": { "value": 2.1, "unit": "tonnes/ M€" }, "percentage_of_women_managers": { "value": 31, "unit": "%" } }, "metadata": { "isin": "US0378331005", "is_fund": false } }, { "sustainability_data": { "total_score": { "value": 186, "unit": "out of 300" }, "environment_score": { "value": 62, "unit": "out of 100" }, "carbon_footprint": { "value": 58.4, "unit": "tonnes/ M€" }, "percentage_of_women_managers": { "value": 27, "unit": "%" } }, "metadata": { "isin": "IE00B4L5Y983", "is_fund": true } } ], "message": "ESG data of instruments fetched successfully"}Get PAI indicators POST
Returns the mandatory SFDR principal adverse impact (PAI) indicators for each ISIN, with their units. Needs access to the SFDR framework. Up to 10,000 holdings per request. Entries without an isin are skipped. An empty holdings list, or one where no entry has an isin, fails with 400 and the message Please provide at least one instrument.
List methodologies GET
Lists the sustainable investments methodologies you can use. Needs access to the sustainable investments framework.